Loading...
Searching...
No Matches
restinio::router::easy_parser_router::impl::unescape_transformer_t< Unescape_Traits > Struct Template Reference

A transformer that performs percent-unescaping of an input string. More...

`#include <easy_parser_router.hpp>`

Inheritance diagram for restinio::router::easy_parser_router::impl::unescape_transformer_t< Unescape_Traits >:

## Public Types

using | input_type = std::string
Public Types inherited from restinio::easy_parser::impl::transformer_tag< std::string >
using | result_type = std::string

## Public Member Functions

RESTINIO_NODISCARD result_type | transform (input_type &&input) const

## Additional Inherited Members

Static Public Attributes inherited from restinio::easy_parser::impl::transformer_tag< std::string >
static constexpr entity_type_t | entity_type

## Detailed Description

template<typename Unescape_Traits>
struct restinio::router::easy_parser_router::impl::unescape_transformer_t< Unescape_Traits >

A transformer that performs percent-unescaping of an input string.

Since
  v.0.6.6

Definition at line 166 of file easy_parser_router.hpp.

## Member Typedef Documentation

## input_type

template<typename Unescape_Traits >

using restinio::router::easy_parser_router::impl::unescape_transformer_t< Unescape_Traits >::input_type = std::string

Definition at line 169 of file easy_parser_router.hpp.

## Member Function Documentation

## transform()

template<typename Unescape_Traits >

RESTINIO_NODISCARD result_type restinio::router::easy_parser_router::impl::unescape_transformer_t< Unescape_Traits >::transform | ( | input_type && | input | ) | const

inline

Definition at line 173 of file easy_parser_router.hpp.

The documentation for this struct was generated from the following file:

- restinio/router/easy_parser_router.hpp